Index: XIOS/dev/dev_trunk_graph/doc/XIOS_reference_guide.lyx
===================================================================
--- XIOS/dev/dev_trunk_graph/doc/XIOS_reference_guide.lyx	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/doc/XIOS_reference_guide.lyx	(revision 2020)
@@ -3363,14 +4604,42 @@
 
 \begin_layout LyX-Code
+CHARACTER(LEN=*) :: scalar_ref
+\end_layout
+
+\begin_layout Standard
+Defines a scalar domain for the current field.
+ If the attribute is defined, the attribute 
+\begin_inset Flex Strong
+status collapsed
+
+\begin_layout Plain Layout
+grid_ref
+\end_layout
+
+\end_inset
+
+ must not be specified.
+\end_layout
+
+\begin_layout Subsection*
+grid_path (optional): 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
 CHARACTER(LEN=*) :: grid_path
 \end_layout
 
 \begin_layout Standard
-Define the way operations passing from a grid to others.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-default_value: 
+Defines the way operations pass from a grid to other grids.
+\end_layout
+
+\begin_layout Subsection*
+default_value (optional): 
 \emph on
 double
@@ -3386,13 +4655,11 @@
 
 \begin_layout Standard
-Define the value which should be used in place of the missing data of a
- field.
- This attribute is optional.
- If no value was defined, the missing data will be replaced by uninitialized
- values which can lead to undefined behaviors.
-\end_layout
-
-\begin_layout Subsection*
-valid_min: 
+Defines the value which will be used instead of missing field data.
+ If no value is provided, the missing data will be replaced by uninitialized
+ values what can lead to undefined behavior.
+\end_layout
+
+\begin_layout Subsection*
+valid_min (optional): 
 \emph on
 double
@@ -3418,9 +4685,9 @@
 \end_inset
 
- attribute value are set to missing value.
-\end_layout
-
-\begin_layout Subsection*
-valid_max: 
+ attribute value will be set to missing value.
+\end_layout
+
+\begin_layout Subsection*
+valid_max (optional): 
 \emph on
 double
@@ -3446,9 +4713,9 @@
 \end_inset
 
- attribute value are set to missing value.
-\end_layout
-
-\begin_layout Subsection*
-detect_missing_value: 
+ attribute value will be set to missing value.
+\end_layout
+
+\begin_layout Subsection*
+detect_missing_value (optional): 
 \emph on
 bool
@@ -3464,10 +4731,11 @@
 
 \begin_layout Standard
-When XIOS detect a default value in a field, it does not include the value
- in the statistic of the operation, like averaging, minimum, maximum...
-\end_layout
-
-\begin_layout Subsection*
-add_offset: 
+When XIOS detects a default value in a field, it does not take into account
+ the value during arithmetic operations such as averaging, minimum, maximum,
+ etc.
+\end_layout
+
+\begin_layout Subsection*
+add_offset (optional): 
 \emph on
 double
@@ -3483,5 +4751,5 @@
 
 \begin_layout Standard
-Set the 
+Sets the 
 \begin_inset Flex Strong
 status collapsed
@@ -3493,5 +4761,5 @@
 \end_inset
 
- metadata CF attribute in the output file.
+ metadata CF attribute in an output file.
  In output, the 
 \begin_inset Flex Strong
@@ -3504,5 +4772,5 @@
 \end_inset
 
- value is subtracted to the field values.
+ value will be subtracted from the field values.
 \end_layout
 
@@ -3522,5 +4790,5 @@
 
 \begin_layout Standard
-Set the 
+Sets the 
 \begin_inset Flex Strong
 status collapsed
@@ -3532,6 +4800,6 @@
 \end_inset
 
- metadata CF attribute in the output file.
- In output, the field values are divided by the 
+ metadata CF attribute in an output file.
+ In output, the field values will be divided by the 
 \begin_inset Flex Strong
 status collapsed
@@ -3547,5 +4815,5 @@
 
 \begin_layout Subsection*
-compression_level: 
+compression_level (optional): 
 \emph on
 integer
@@ -3561,11 +4829,9 @@
 
 \begin_layout Standard
-Define whether the field should be compressed using NetCDF-4 built-in compressio
-n.
+Defines whether a field should be compressed using NetCDF-4 built-in compression.
  The compression level must range from 0 to 9.
- An higher compression level means a better compression at the cost of using
+ A higher compression level means a better compression at the cost of using
  more processing power.
- This attribute is optional, the default value is inherited from the file
- attribute 
+ The default value is inherited from the file attribute 
 \series bold
 compression_level
@@ -3575,5 +4841,5 @@
 
 \begin_layout Subsection*
-indexed_output: 
+indexed_output (optional): 
 \emph on
 bool
@@ -3589,7 +4855,7 @@
 
 \begin_layout Standard
-Define whether the field data must be outputted as an indexed grid instead
- of a full grid whenever possible.
- This attribute is optional, the default value is 
+Defines whether field data must be output as an indexed grid instead of
+ a full grid whenever possible.
+ The default value is 
 \series bold
 \emph on
@@ -3601,5 +4867,5 @@
 
 \begin_layout Subsection*
-ts_enabled: 
+ts_enabled (optional): 
 \emph on
 bool
@@ -3615,6 +4881,6 @@
 
 \begin_layout Standard
-Define whether the field can be outputted as a timeserie if requested.
- This attribute is optional, the default value is 
+Defines whether a field can be output as a timeseries.
+ The default value is 
 \series bold
 \emph on
@@ -3626,5 +4892,5 @@
 
 \begin_layout Subsection*
-ts_split_freq: 
+ts_split_freq (optional): 
 \emph on
 duration
@@ -3640,8 +4906,7 @@
 
 \begin_layout Standard
-Define the splitting frequency that should be used for the timeserie if
+Defines the splitting frequency that should be used for a timeseries if
  it has been requested.
- This attribute is optional, by default this value is inherited from the
- file 
+ By default the attribute value is inherited from the file attribute 
 \series bold
 split_freq
@@ -3650,4 +4915,66 @@
 \end_layout
 
+\begin_layout Subsection*
+cell_methods (optional): 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: cell_methods
+\end_layout
+
+\begin_layout Standard
+Defines the cell methods field attribute.
+\end_layout
+
+\begin_layout Subsection*
+cell_methods_mode (optional): enumeration
+\emph on
+ {overwrite, prefix, suffix, none}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: cell_methods_mode
+\end_layout
+
+\begin_layout Standard
+Defines the cell methods mode of a field.
+\end_layout
+
+\begin_layout Subsection*
+comment (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: comment
+\end_layout
+
+\begin_layout Standard
+Allows a user to set a comment.
+\end_layout
+
 \begin_layout Section
 Variable attribute reference
@@ -3655,5 +4982,5 @@
 
 \begin_layout Subsection*
-name: 
+name (optional): 
 \emph on
 string
@@ -3669,17 +4996,6 @@
 
 \begin_layout Standard
-Define the 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-name
-\end_layout
-
-\end_inset
-
- of the variable as it will appear in an output file.
- This attribute is optional.
- If not present, the 
+Defines the name of a variable as it will appear in an output file.
+ If not present, the variable 
 \begin_inset Flex Strong
 status collapsed
@@ -3691,10 +5007,10 @@
 \end_inset
 
- will be used instead.
-\end_layout
-
-\begin_layout Subsection*
-type: enumeration { bool, int, int32, int16, int64, float, double, string
- }
+ will be used.
+\end_layout
+
+\begin_layout Subsection*
+type (mandatory): enumeration {bool, int, int32, int16, int64, float, double,
+ string}
 \end_layout
 
@@ -3708,15 +5024,5 @@
 
 \begin_layout Standard
-Define the 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-type
-\end_layout
-
-\end_inset
-
- of the variable.
+Defines the type of a variable.
  Note that the 
 \series bold
@@ -3732,5 +5038,16 @@
 \emph default
 .
- This attribute is mandatory.
+\end_layout
+
+\begin_layout Subsection*
+ts_target (optional): enumeration {file, field, both, none}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: ts_target
 \end_layout
 
@@ -3740,5 +5057,5 @@
 
 \begin_layout Subsection*
-name: 
+name (mandatory): 
 \emph on
 string
@@ -3754,10 +5071,9 @@
 
 \begin_layout Standard
-Define the name of the file.
- This attribute is mandatory.
-\end_layout
-
-\begin_layout Subsection*
-description: 
+Defines the name of a file.
+\end_layout
+
+\begin_layout Subsection*
+description (optional): 
 \emph on
 string
@@ -3773,10 +5089,9 @@
 
 \begin_layout Standard
-Define the description of the file.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-name_suffix: 
+Defines the description of a file.
+\end_layout
+
+\begin_layout Subsection*
+name_suffix (optional): 
 \emph on
 string
@@ -3792,10 +5107,9 @@
 
 \begin_layout Standard
-Define a suffix to add to the name of the file.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-min_digits: 
+Defines a suffix added to the file name.
+\end_layout
+
+\begin_layout Subsection*
+min_digits (optional): 
 \emph on
 integer
@@ -3811,7 +5125,11 @@
 
 \begin_layout Standard
-For multiple_file, define the minimum digits composing the suffix defining
- the rank of the server, which will be happened to the name of the file.
- This attribute is optional and the default value is 
+For the 
+\series bold
+multiple_file
+\series default
+ mode defines the minimum number of digits of the suffix describing the
+ server rank which will be appended to the file name.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -3823,9 +5141,54 @@
 \end_inset
 
+ (no server rank suffix is added).
+\end_layout
+
+\begin_layout Subsection*
+output_freq (mandatory): 
+\emph on
+duration
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+TYPE(xios_duration) :: output_freq
+\end_layout
+
+\begin_layout Standard
+Defines the output frequency for the current file.
+\end_layout
+
+\begin_layout Subsection*
+output_level (optional): 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: output_level
+\end_layout
+
+\begin_layout Standard
+Defines the output level for all fields of the current file.
+ The field is output only if the field attribute 
+\series bold
+level
+\series default
+ is less or equal to the file attribute 
+\series bold
+output_level
+\series default
 .
 \end_layout
 
 \begin_layout Subsection*
-output_freq: 
+sync_freq (optional): 
 \emph on
 duration
@@ -3837,37 +5200,15 @@
 
 \begin_layout LyX-Code
-TYPE(xios_duration) :: output_freq
-\end_layout
-
-\begin_layout Standard
-Define the output frequency for the current file.
- This attribute is mandatory.
-\end_layout
-
-\begin_layout Subsection*
-output_level: 
-\emph on
-integer
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: output_level
-\end_layout
-
-\begin_layout Standard
-Define an output level for the field defining inside the current file.
- Field is output only if the field attribute 
-\begin_inset Formula $level\leq output\_level$
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection*
-sync_freq: 
+TYPE(xios_duration) :: sync_freq
+\end_layout
+
+\begin_layout Standard
+Defines the frequency for flushing the current file onto a disk.
+ It may result in poor performances but data will be written even if a file
+ is not yet closed.
+\end_layout
+
+\begin_layout Subsection*
+split_freq (optional): 
 \emph on
 duration
@@ -3879,41 +5220,16 @@
 
 \begin_layout LyX-Code
-TYPE(xios_duration) :: sync_freq
-\end_layout
-
-\begin_layout Standard
-Define the frequency for flushing the current file onto disk.
- It may result bad performance but data are wrote even if the file will
- not be closed.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-split_freq: 
-\emph on
-duration
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
 TYPE(xios_duration) :: split_freq
 \end_layout
 
 \begin_layout Standard
-Define the time frequency for splitting the current file.
- In that case, the start and end dates are added to the file 
+Defines the frequency for splitting the current file.
+ The start and end dates will be added to the file name (see 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+
 \series bold
-name
-\series default
- (see 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-
-\series bold
 \emph on
 split_freq_format
@@ -3923,9 +5239,9 @@
 
  attribute).
- This attribute is optional, by default no splitting is done.
-\end_layout
-
-\begin_layout Subsection*
-split_freq_format: 
+ By default no splitting is done.
+\end_layout
+
+\begin_layout Subsection*
+split_freq_format (optional): 
 \emph on
 string
@@ -3941,6 +5257,6 @@
 
 \begin_layout Standard
-Define the format of the split date suffixed to the file.
- Can contain any character, 
+Defines the format of the split date suffixed to a file.
+ It can contain any character, 
 \emph on
 
@@ -4027,6 +5343,6 @@
 
  by the number of full days since the time origin.
- This attribute is optional and the default behavior is to create a suffix
- with the date until the smaller non zero unit.
+ The default behavior is to create a suffix with the date until the smaller
+ non zero unit.
  For example, in one day split frequency, the hour, minute and second will
  not appear in the suffix, only year, month and day.
@@ -4034,5 +5350,52 @@
 
 \begin_layout Subsection*
-enabled: 
+split_start_offset(optional): 
+\emph on
+duration
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+TYPE(xios_duration) :: split_start_offset
+\end_layout
+
+\begin_layout Standard
+Defines the offset of file splitting.
+ 
+\end_layout
+
+\begin_layout Subsection*
+split_end_offset(optional): 
+\emph on
+duration
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+TYPE(xios_duration) :: split_end_offset
+\end_layout
+
+\begin_layout Subsection*
+split_last_date (optional): 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: split_last_date
+\end_layout
+
+\begin_layout Subsection*
+enabled (optional): 
 \emph on
 bool
@@ -4048,6 +5411,6 @@
 
 \begin_layout Standard
-Define if a file must be written/read or not.
- This attribute is optional, the default value is 
+Defines if a file must be written/read or not.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -4063,7 +5426,7 @@
 
 \begin_layout Subsection*
-mode: 
-\emph on
-enumeration { read, write }
+mode (optional): 
+\emph on
+enumeration {read, write}
 \end_layout
 
@@ -4077,6 +5440,6 @@
 
 \begin_layout Standard
-Define whether the file will be read or written.
- This attribute is optional, the default value is 
+Defines whether a file will be read or written.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -4092,7 +5455,7 @@
 
 \begin_layout Subsection*
-type: 
-\emph on
-enumeration { one_file, multiple_file }
+type (mandatory): 
+\emph on
+enumeration {one_file, multiple_file}
 \end_layout
 
@@ -4106,5 +5469,5 @@
 
 \begin_layout Standard
-Define the type of the file: 
+Defines the type of a file: 
 \begin_inset Flex Strong
 status collapsed
@@ -4131,23 +5494,22 @@
 
 : one single global file is wrote using netcdf4 parallel access.
- This attribute is mandatory.
-\end_layout
-
-\begin_layout Subsection*
-format: 
-\emph on
-enumeration { netcdf4, netcdf4_classic }
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-CHARACTER(LEN=*) :: type
-\end_layout
-
-\begin_layout Standard
-Define the format of the file: 
+\end_layout
+
+\begin_layout Subsection*
+format (optional): 
+\emph on
+enumeration {netcdf4, netcdf4_classic}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: format
+\end_layout
+
+\begin_layout Standard
+Define the format of a file: 
 \begin_inset Flex Strong
 status collapsed
@@ -4178,5 +5540,5 @@
 
 : the classic NetCDF format will be used.
- The attribute is optional, the default value is 
+ The default value is 
 \series bold
 \emph on
@@ -4210,7 +5572,7 @@
 
 \begin_layout Subsection*
-par_access: 
-\emph on
-enumeration { collective, independent }
+par_access (optional): 
+\emph on
+enumeration {collective, independent}
 \end_layout
 
@@ -4224,6 +5586,6 @@
 
 \begin_layout Standard
-For parallel writing, define which type of MPI calls will be used.
- This attribute is optional, the default value is 
+For parallel writing, defines which type of MPI calls will be used.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -4241,5 +5603,5 @@
 
 \begin_layout Subsection*
-append: 
+read_metadata_par (optional): 
 \emph on
 bool
@@ -4251,11 +5613,72 @@
 
 \begin_layout LyX-Code
+LOGICAL :: read_metadata_par
+\end_layout
+
+\begin_layout Standard
+For files in the read mode, defines if parallel or serial I/O will be used
+ by model processes for reading file metadata.
+ The default value is false implying serial I/O for reading metadata.
+\end_layout
+
+\begin_layout Subsection*
+convention (optional): 
+\emph on
+enumeration {CF, UGRID}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: convention
+\end_layout
+
+\begin_layout Standard
+Defines the file conventions.
+ By default the CF conventions are followed.
+\end_layout
+
+\begin_layout Subsection*
+convention_str (optional): 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: convention_str
+\end_layout
+
+\begin_layout Standard
+Defines the 
+\series bold
+Conventions 
+\series default
+attribute to be added to file global attributes.
+\end_layout
+
+\begin_layout Subsection*
+append (optional): 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
 LOGICAL :: append
 \end_layout
 
 \begin_layout Standard
-Define whether the output data is to be appended at the end of the file
- if it already exists or if the existing file is to be overwritten.
- This attribute is optional, the default value is 
+Defines whether data is to be appended at the end of a file if it already
+ exists or if the existing file is to be overwritten.
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -4273,5 +5696,5 @@
 
 \begin_layout Subsection*
-compression_level: 
+compression_level (optional): 
 \emph on
 integer
@@ -4287,10 +5710,10 @@
 
 \begin_layout Standard
-Define whether the fields should be compressed using NetCDF-4 built-in compressi
-on by default.
+Defines whether the fields should be compressed using NetCDF-4 built-in
+ compression by default.
  The compression level must range from 0 to 9.
- An higher compression level means a better compression at the cost of using
+ A higher compression level means a better compression at the cost of using
  more processing power.
- This attribute is optional, the default value is 
+ The default value is 
 \begin_inset Flex Strong
 status collapsed
@@ -4308,7 +5731,8 @@
 
 \begin_layout Subsection*
-time_counter: 
-\emph on
-enumeration { centered, instant, record, none }
+time_counter (optional): 
+\emph on
+enumeration {centered, instant, record, exclusive, centered_exclusive, instant_e
+xclusive, none}
 \end_layout
 
@@ -4322,5 +5746,5 @@
 
 \begin_layout Standard
-Define how the 
+Defines how the 
 \begin_inset Quotes eld
 \end_inset
@@ -4330,5 +5754,5 @@
 \end_inset
 
- variable will be outputted:
+ variable will be output:
 \end_layout
 
@@ -4340,5 +5764,6 @@
 \series default
 \emph default
-: use centered times
+: use centered times (default option for all field operations except for
+ instant)
 \end_layout
 
@@ -4350,5 +5775,9 @@
 \series default
 \emph default
-: use instant times
+: use instant times (default option for field operation 
+\series bold
+instant
+\series default
+)
 \end_layout
 
@@ -4366,4 +5795,37 @@
 
 \series bold
+\shape italic
+centered_exclusive: 
+\series default
+\shape default
+do not include centered times into an output file
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+\emph on
+instant_
+\emph default
+exclusive: 
+\series default
+\shape default
+do not include instant times into an output file
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
+\shape italic
+exclusive: 
+\series default
+\shape default
+include neither instant times nor centered times into an output file
+\end_layout
+
+\begin_layout Itemize
+
+\series bold
 \emph on
 none
@@ -4374,5 +5836,5 @@
 
 \begin_layout Standard
-This attribute is optional, the default value is 
+The default value is 
 \series bold
 \emph on
@@ -4384,5 +5846,5 @@
 
 \begin_layout Subsection*
-time_counter_name: 
+time_counter_name (optional): 
 \emph on
 string
@@ -4398,12 +5860,11 @@
 
 \begin_layout Standard
-Define the name of the time counter.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-timeseries: 
-\emph on
-enumeration { none, only, both, exclusive }
+Define the name of a time counter.
+\end_layout
+
+\begin_layout Subsection*
+timeseries (optional): 
+\emph on
+enumeration {none, only, both, exclusive}
 \end_layout
 
@@ -4417,5 +5878,5 @@
 
 \begin_layout Standard
-Define whether the timeseries must be outputted:
+Defines whether the timeseries must be output:
 \end_layout
 
@@ -4427,5 +5888,5 @@
 \series default
 \emph default
-: no timeseries are outputted, only the regular file
+: no timeseries is outputted, only the regular file
 \end_layout
 
@@ -4437,5 +5898,5 @@
 \series default
 \emph default
-: only the timeseries are outputted, the regular file is not created
+: only the timeseries is outputted, the regular file is not created
 \end_layout
 
@@ -4457,10 +5918,10 @@
 \series default
 \emph default
-: the timeseries are outputted and a regular file is created with only the
- fields which were not marked for output as a timeserie (if any).
-\end_layout
-
-\begin_layout Standard
-This attribute is optional, the default value is 
+: the timeseries is outputted and a regular file is created with only the
+ fields which were not marked for output as a timeseries (if any).
+\end_layout
+
+\begin_layout Standard
+The default value is 
 \series bold
 \emph on
@@ -4472,5 +5933,5 @@
 
 \begin_layout Subsection*
-ts_prefix: 
+ts_prefix (optional): 
 \emph on
 string
@@ -4486,14 +5947,24 @@
 
 \begin_layout Standard
-Define the prefix to use for the name of the timeseries files.
- This attribute is optional, by default the file 
-\series bold
-name
-\series default
- will be used.
-\end_layout
-
-\begin_layout Subsection*
-record_offset: 
+Defines the prefix to use for the name of the timeseries files.
+ By default the file name will be used.
+\end_layout
+
+\begin_layout Subsection*
+time_units (optional): 
+\emph on
+enumeration {seconds, days}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: time_units
+\end_layout
+
+\begin_layout Subsection*
+record_offset (optional): 
 \emph on
 integer
@@ -4509,6 +5980,268 @@
 
 \begin_layout Standard
-Define offset of record from the beginning record.
- This attribute is optional, by default, its value is 0.
+Defines the offset of a record from the beginning record.
+ The default value is 0.
+\end_layout
+
+\begin_layout Subsection*
+cyclic (optional): 
+\emph on
+bool
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+LOGICAL :: cyclic
+\end_layout
+
+\begin_layout Standard
+If the option is activated for fields to be read, then upon reaching the
+ last time record, reading will continue 
+\begin_inset Quotes eld
+\end_inset
+
+cycle
+\begin_inset Quotes erd
+\end_inset
+
+ at the first time record.
+ The default value is false.
+\end_layout
+
+\begin_layout Subsection*
+time_stamp_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: time_stamp_name
+\end_layout
+
+\begin_layout Standard
+Defines the timestamp name of the date and time when the program was executed
+ which will be written into an output file.
+ The default value is 
+\begin_inset Quotes eld
+\end_inset
+
+timeStamp
+\begin_inset Quotes erd
+\end_inset
+
+.
+\end_layout
+
+\begin_layout Subsection*
+time_stamp_format (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: time_stamp_format
+\end_layout
+
+\begin_layout Standard
+Defines the timestamp format of the date and time when the program was executed
+ to be written into an output file.
+ It can contain any character.
+ 
+\emph on
+
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%Y
+\end_layout
+
+\end_inset
+
+
+\emph default
+ will be replaced by the 4-digit year (4 digits), while 
+\emph on
+
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%y
+\end_layout
+
+\end_inset
+
+
+\emph default
+ will be replaced by the 2-digit year.
+ 
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%m
+\end_layout
+
+\end_inset
+
+ will be by the 2-digit month, while %b will be replaced by the 3-character
+ month.
+ 
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%d
+\end_layout
+
+\end_inset
+
+ will be replaced by the day (2 char), 
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%H
+\end_layout
+
+\end_inset
+
+ by the hour (2 char), 
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%M
+\end_layout
+
+\end_inset
+
+ by the minute (2 char), 
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%S
+\end_layout
+
+\end_inset
+
+ by the number of seconds, 
+\begin_inset Flex Code
+status collapsed
+
+\begin_layout Plain Layout
+%D
+\end_layout
+
+\end_inset
+
+ by the date in the MM/DD/YY format.
+\end_layout
+
+\begin_layout Subsection*
+uuid_name (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: uuid_name
+\end_layout
+
+\begin_layout Standard
+Defines the name of file's UUID.
+\end_layout
+
+\begin_layout Subsection*
+uuid_format (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: uuid_format
+\end_layout
+
+\begin_layout Standard
+Defines the format of file's UUID.
+\end_layout
+
+\begin_layout Subsection*
+comment (optional): 
+\begin_inset Flex Emph
+status collapsed
+
+\begin_layout Plain Layout
+string
+\end_layout
+
+\end_inset
+
+
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: comment
+\end_layout
+
+\begin_layout Standard
+Allows a user to set a comment.
 \end_layout
 
@@ -4518,9 +6251,58 @@
 
 \begin_layout Subsection
+reduce_scalar_to_scalar
+\end_layout
+
+\begin_layout Subsection*
+operation (mandatory): 
+\emph on
+enumeration {min, max, sum, average}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
+\end_layout
+
+\begin_layout Standard
+Defines a reduction operation performed on a scalar across model processes.
+ (It is analogous to MPI_Allreduce.)
+\end_layout
+
+\begin_layout Subsection
+extract_axis_to_scalar
+\end_layout
+
+\begin_layout Subsection*
+position: 
+\emph on
+integer
+\end_layout
+
+\begin_layout Standard
+Fortran: 
+\end_layout
+
+\begin_layout LyX-Code
+INTEGER :: position
+\end_layout
+
+\begin_layout Standard
+Global index of a point on an axis to be extracted into a scalar.
+\end_layout
+
+\begin_layout Standard
+
+\end_layout
+
+\begin_layout Subsection
 interpolate_axis
 \end_layout
 
 \begin_layout Subsection*
-type: 
+type (optional): 
 \emph on
 string
@@ -4536,10 +6318,10 @@
 
 \begin_layout Standard
-Define the type of interpolation on an axis.
- This attribute is optional.
-\end_layout
-
-\begin_layout Subsection*
-order: 
+Defines the interpolation type on an axis.
+ For now only polynomial interpolation is available.
+\end_layout
+
+\begin_layout Subsection*
+order (optional): 
 \emph on
 integer
@@ -4555,11 +6337,70 @@
 
 \begin_layout Standard
-Define a order of interpolation.
- This attribute is optional.
+Defines the order of interpolation.
  The default value is 2.
 \end_layout
 
+\begin_layout Subsection*
+coordinate (optional): 
+\emph on
+string
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: coordinate
+\end_layout
+
+\begin_layout Standard
+Defines the coordinate associated with an axis on which interpolation will
+ be performed.
+\end_layout
+
 \begin_layout Subsection
-inverse_axis
+reduce_axis_to_axis
+\end_layout
+
+\begin_layout Subsection*
+operation (mandatory): 
+\emph on
+enumeration {min, max, sum, average}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
+\end_layout
+
+\begin_layout Standard
+Defines a reduction operation performed on an axis across model processes.
+ (It is analogous to MPI_Allreduce.)
+\end_layout
+
+\begin_layout Subsection
+reduce_axis_to_scalar
+\end_layout
+
+\begin_layout Standard
+Reduces data defined on an axis into a scalar value.
+\end_layout
+
+\begin_layout Subsection*
+operation (mandatory): 
+\emph on
+enumeration {min, max, sum, average}
+\end_layout
+
+\begin_layout Standard
+Fortran:
+\end_layout
+
+\begin_layout LyX-Code
+CHARACTER(LEN=*) :: operation
 \end_layout
 
@@ -4569,5 +6410,5 @@
 
 \begin_layout Subsection*
-begin: 
+begin (optional): 
 \begin_inset Flex Emph
 status collapsed
@@ -4591,7 +6432,6 @@
 
 \begin_layout Standard
-Define the begining index of the zoomed region on global axis.
- This attribute is optional.
- This must be an integer between 
+Defines the beginning index of a zoomed region on a global axis.
+ The attribute value should be an integer between 
 \begin_inset Flex Strong
 status collapsed
@@ -4609,63 +6449,4 @@
 \begin_layout Plain Layout
 ni_glo-1
-\end_layout
-
-\end_inset
-
- of associated axis.
- If not specified the default value is 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-0
-\end_layout
-
-\end_inset
-
-.
-\end_layout
-
-\begin_layout Subsection*
-n: 
-\begin_inset Flex Emph
-status collapsed
-
-\begin_layout Plain Layout
-integer
-\end_layout
-
-\end_inset
-
-
-\end_layout
-
-\begin_layout Standard
-Fortran:
-\end_layout
-
-\begin_layout LyX-Code
-INTEGER :: n
-\end_layout
-
-\begin_layout Standard
-Define the size of zoomed region on global axis.
- This attribute is optional.
- This must be an integer between 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-1
-\end_layout
-
-\end_inset
-
-and 
-\begin_inset Flex Strong
-status collapsed
-
-\begin_layout Plain Layout
-nj_glo
 \end_layout
 
